[gentoo-user-de] 32bit termcap auf amd64 System

06/08/2008 - 13:50 von Gerrit Kühn | Report spam
Hi,

ich brauche für eine àltere Software auf einem AMD64-System eine 32bit
libtermcap. Wenn ich sys-libs/libtermcap-compat emerge, bekomme ich eine
mit 64bit gebaut, die mir nicht weiterhilft.
Weiß hier jemand, wie ich zu einer 32bit-lib komme?


cu
Gerrit
 

Lesen sie die antworten

#1 Gerrit Kühn
06/08/2008 - 14:40 | Warnen spam
On Wed, 06 Aug 2008 14:20:03 +0200 Sebastian van de Meer
wrote about Re: [gentoo-user-de]
32bit termcap auf amd64 System:

SVDM> Am Mittwoch, den 06.08.2008, 13:47 +0200 schrieb Gerrit Kühn:
SVDM> > Weiß hier jemand, wie ich zu einer 32bit-lib komme?

SVDM> So einfach geht das, glaube ich, nicht...

Doch! :-)

SVDM> Da die 32bit lib nicht wirklich mit dem restlichen 64bit System
SVDM> umgehen kann. Ich kann mich hier aber auch irren.

SVDM> Vielleicht schaust du mal hier:
SVDM> http://www.gentoo.org/doc/de/gentoo...l#multilib

War schon fast gut, danke. Ich bin jetzt hier
<http://devmanual.gentoo.org/archs/a...x.html> schlauer geworden.
For the record:
Man muß vor dem emerge nur in make.defaults (in meinem
Fall /etc/make.profile/make.defaults) die ABI-Variable von amd64 auf x86
setzen. Danach emerge libtermcap-compat, und schon bekomme ich eine
32bit-lib, die auch einwandfrei funktioniert. Danach dann die ABI-Variable
auf amd64 zurücksetzen.
Das ganze geht nur, wenn man einen multilib-fàhigen gcc hat, d.h. man darf
kein profile mit no-multilib aufgewàhlt haben.


cu
Gerrit

Ähnliche fragen